Bug 57364 - Fails to build with gcc-3.1-0.10
Summary: Fails to build with gcc-3.1-0.10
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: glibc (Show other bugs)
(Show other bugs)
Version: 1.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-12-10 21:08 UTC by Enrico Scholz
Modified: 2016-11-24 15:17 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-12-10 21:08:16 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Enrico Scholz 2001-12-10 21:08:11 UTC
Description of Problem:

When trying to rebuild glibc-2.2.4-20.src.rpm with gcc-3.1-0.10 I get:

| $ rpm --rebuild glibc-2.2.4-20.src.rpm
| ...
| checking for mig... mig
| *** This version of GNU libc cannot be compiled by GCC 3.x.
| *** GCC 3.x will generate a library that is binary incompatible to
| *** older and future releases of GNU libc.
| *** You should compile this GNU libc release by an older GCC version
| *** or wait for the next GNU libc release.
| *** If you really mean to use GCC 3.x, run configure again
| *** using the extra parameter `--disable-sanity-checks'.
| error: Bad exit status from /var/tmp/rpm-tmp.3649 (%build)
|     Bad exit status from /var/tmp/rpm-tmp.3649 (%build)

Comment 1 Jakub Jelinek 2002-01-15 14:26:13 UTC
Fixed in glibc-2.2.90-[123].


Note You need to log in before you can comment on or make changes to this bug.